== Changelog ==

= 3.1.1 - 18/02/2026 =
* Dev – Corrected price sorting (ASC/DESC) to ensure proper numeric ordering.

= 3.1.0 - 12/02/2026 =
* Readme.txt - Changelog - Truncated (full changelog moved to the `changelog.txt` file).
* Readme.txt - Rename plugin from "Product Filter by WBW" to "Product Filter for WooCommerce by WBW".

= 3.0.9 - 05/02/2026 =
* Dev - Settings - Change the settings option name from "Browser compatibility" to "Floating mode browser compatibility".
* Dev - Rename plugin from "Product Filter by WBW" to "Product Filter for WooCommerce by WBW".

= 3.0.8 - 23/01/2026 =
* Dev - Settings - "Browser compatibility" option added (defaults to `no`).

= 3.0.7 - 12/01/2026 =
* Dev - Coding standards improved.

= 3.0.6 - 24/12/2025 =
* Dev - Coding standards improved.

= 3.0.5 - 23/12/2025 =
* WC tested up to: 10.4.
* Tested up to: 6.9.

= 3.0.4 - 28/11/2025 =
* Fix - Check permissions - `exit` function fixed.
* Fix - Breadcrumbs - "Edit" breadcrumb fixed.

= 3.0.3 - 26/11/2025 =
* Dev - Coding standards improved.

= 3.0.2 - 19/11/2025 =
* Dev - Settings - "WooCommerce product query action priority" option added.
* WC tested up to: 10.3.

= 3.0.1 - 22/10/2025 =
* Fix - Security - "Missing Authorization to Unauthenticated Settings Update" vulnerability fixed.
* Fix - Text typo fixed.
* Dev - Coding standards improved.

= 3.0.0 - 17/10/2025 =
* Fix - Go PRO tab - Product links fixed.

= 2.9.9 - 10/10/2025 =
* Dev - Added new option "Discourage search engines from indexing".

= 2.9.8 - 30/09/2025 =
* Fix - Security - "Unauthenticated SQL Injection" vulnerability fixed.
* WC tested up to: 10.2.

= 2.9.7 - 06/09/2025 =
* Fix - Create filter - Empty title fixed.
* Fix - `WoofiltersModelWpf` - `product_brand` - `filtername` added.
* Dev - `generateFiltersHtml()` - `wpfFilterButtons` - HTML classes (top and bottom) added.
* Dev - Go PRO tab - License prices updated.
* Dev - Coding standards improved.

= 2.9.6 - 22/08/2025 =
* Fix - Text typo fixed.
* Dev - Coding standards improved.

= 2.9.5 - 20/08/2025 =
* Dev - Developers - `replaceArgsIfBuilderUsed()` - `wbw_woo_product_filter_ignore` argument added (e.g., for the `woocommerce_product_object_query_args` filter).

= 2.9.4 - 15/08/2025 =
* Dev - Coding standards improved.
* WC tested up to: 10.1.

= 2.9.3 - 07/08/2025 =
* Dev - Settings - "Price thousands separator" option added (defaults to `no`).
* Dev - Coding standards improved.

= 2.9.2 - 05/08/2025 =
* Fix - Prevent possible `get_queried_object_id()` error.

= 2.9.1 - 31/07/2025 =
* Fix - WooCommerce Analytics issue fixed (`forceProductFilter()`).

= 2.9.0 - 29/07/2025 =
* Fix - Elementor pagination URLs - `stripcslashes()` - Array issue fixed.

= 2.8.9 - 29/07/2025 =
* Dev - Coding standards improved.

= 2.8.8 - 24/07/2025 =
* Fix - Fixed "YITH Request a Quote for WooCommerce" plugin compatibility issue.

= 2.8.7 - 22/07/2025 =
* Fix - Prevent possible `TypeError`.
* Dev - Go PRO tab - License prices updated.

= 2.8.6 - 21/07/2025 =
* Fix - Fixed pagination URLs.
* Fix - Fixed shortcode filter.
* Fix - Fixed `forceProductFilter()`.
* Fix - WooCommerce product query priority increased.
* Fix - JS - Fixed speed for iOS browsers.
* Fix - JS - Fixed redirect.
* Dev - Added `aria-label`.
* Dev - Added redirect parameter to category links.
* Dev - Labels for Google PageSpeed Insights.
* Dev - Go PRO tab - License prices updated.
* Dev - "Reward points and loyalty plugin from WBW" admin message removed.
* WC tested up to: 10.0.

= 2.8.5 - 11/07/2025 =
* WC tested up to: 9.9.

= 2.8.4 =
* Fix joint use 'open_one_by_one' and 'display_only_children_category'
* Added option Check product category
* Fixed compatibility with Advanced Woo Search PRO
* Fixed admin filtration by brand
* Added single selection for Text-type blocks
* Added indexing for meta-fields with custom separators
* Added for category preselect possibility to exclude children categories
* Added compatibility with WooCommerce Product Search

= 2.8.3 =
* Update integration with Dynamic Content for Elementor
* Minor issues fix

= 2.8.2 =
* Fixed display subcategories
* Minor issues fix

= 2.8.1 =
* Fix elementor pagination
* Fixed link View details
* Added compatibility with WooCommerce B2B and Multi Currency for WooCommerce plugins
* Fixed Clone filter option
* Hierarchical open_one_by_one added

= 2.8.0 =
* Fixed conflict with custom-woocommerce-enhancements
* Fix open_one_by_one filter functionality
* Add space between taxonomy attributes
* Fix subcategory display
* Fix elementor pagination compatibility
* Add warning for invalid default ID in categories
* Fix add duplicate filter dialog
* Fix AWS Plugin Integration
* Fix if FiboSearch is active with Divi theme
* Fix custom attribute sorting
* Fixed conflict with jet-woo-builder
* Fixed compatibility with Flatsome+UX Builder
* Fix pagination reset with JetSmartFilters
* Fix early loader hiding

= 2.7.8 =
* Added options Show/initialise filter immediately
* Fixed option Hide filter with single item for sliders
* Fixed order by woocommerce select-block
* Fixed option Display Only Children Of Current Category by simple ajax
* Minor issues fix

= 2.7.7 =
* Fixed compatibility with Advanced Woo Search
* Minor issues fix

= 2.7.6 =
* Added compatibility with Theme Elford + Advanced Layout Builder Product Slider and Product Grid
* Added for shortcode ordering by title and rand
* Minor issues fix

= 2.7.5 =
* Disabled option Move Sidebar To Top For Mobile for Neve Theme
* Added REST API notice
* Fixed compatibility with Elementor widget premium-woo-product
* Fixed option Check page category
* Fixed option Display a message about not found products
* Minor issues fix

= 2.7.4 =
* Fixed Close Floating Popup & Clear button
* Minor issues fix

= 2.7.3 =
* Added compatibility ElementorPro Loop Load More
* Added option Display preselected variation and fix compatibility with theme Betheme

= 2.7.2 =
* Fixed preselect stockstatus
* Fixed checkboxes by goback action
* Code fix for GoBack
* Fixed store page for Dokan

= 2.7.1 =
* Fixed count products by preselects
* Added option Unlimited colors/buttons filter
* Minor issues fix

= 2.7.0 =
* Added compatibility for Woo Product Grid by Essential Addons
* Added limit for buttons filter
* Fixed compatibility with theme Sydney
* Added hook for item display name
* Added option in Search Number filter

= 2.6.9 =
* Added compatibility with Beaver Builder block Posts
* Added compatibility for ACF-attributes type Number
* Fixed autoscrolling
* Added option Check page category for Button Filter
* Added limit for color filter
* Fixed autocomplete
* Added compatibility with theme TheGem

= 2.6.8 =
* Added option Use max variations price for sorting
* Fixed default price block opening

= 2.6.7 =
* Added compatibility with Woocommerce block Product Collection
* Added compatibility with AVADA infinitescroll
* Fixed date and popularity sorting
* Minor issues fix

= 2.6.6 =
* Minor issues fix
* Fixed floating popup visibility
* Added option Display one variation price

= 2.6.5 =
* Minor issues fix

= 2.6.4 =
* Added Colors Filter for Tags
* Price filter load fix
* Minor issues fix

= 2.6.3 =
* Fixed Avade infinite scroll for products pagination
* Added preselect for Price slider filter
* Fixed conflict with YITH Request a Quote for WooCommerce
* Fixed conflict with WP Statistics
* Added compatibility with WooCommerce Mix and Match Products
* Minor issues fix

= 2.6.2 =
* Render fix
* Missing meta fix

= 2.6.1 =
* Fixed fatal by deactivation and uninstall
* Added option Keep Min/Max Price By Reload
* Fixed refreshing of price slider
* Fixed ACF-labels for select-fields
* Minor issues fix

= 2.6.0 =
* Fixed style conflict with Elementor
* Fixed conflict with WPML Multilingual CMS
* Added compatibility with Product Table for WooCommerce by CodeAstrology

= 2.5.9 =
* Added compatibility with plugin WooCommerce Multilingual & Multicurrency
* Fixed selected parameters by filter synchronization
* Fixed redirect
* Minor issues fix

= 2.5.8 =
* Added compatibility with pagination from Essential Addons Product Grid
* Fixed shortcode elementor-template
* Minor issues fix

= 2.5.7 =
* Added compatibility with Woo-products from PowerPack Pro for Elementor
* Added dropdown to choose the number of products per page
* Added custom orderby
* Minor issues fix

= 2.5.6 =
* Readme fix
* Minor issues fix

= 2.5.5 =
* Added option Сollapse all when deleting by search for Category filter
* Fixed option Instock always show first
* Fixed compatibility with Fusion Builder

= 2.5.4 =
* Added compatibility with Divi Filter Loadmore
* Fixed statistics for Menu mode
* Fixed reseting of button filters
* Minor issues fix

= 2.5.3 =
* Fixed overlay for floating filter
* Fixed filter overlay for several filters on page
* Fixed option Check page category
* Fixed indexing for attributes with Emojis in slugs
* Fixed Alphabetical index

= 2.5.2 =
* Fixed Alphabetical index for Meta fields
* Fixed default stock status
* Fixed export/import
* Fixed option Checked Items To The Top by Back button
* Fixed option Count products per page
* Added opportunity for force filter refresh
* Added multiple default option for StockStatus Filter
* Add default sorting for custom meta attribute
* Added multiple attributes for Search by Number filter
* Added option Unfolding collapsed by search for Category filter
* Fixed double ajax-filtering
* Minor issues fix

= 2.5.1 =
* Added compatibility with Woocommerce blocks for preselected parameters
* Fixed conflict with WooCommerce Google Product Feed plugin
* Added equals logic for SearchNumber filter
* Added flag for Woocommerce Load More Products
* Fixed option Filter synchronization for color-filters
* Added option Сheck category hierarchy for One by One mode
* Added compatibitity with WooCommerce Measurement Price Calculator
* Added compatibitity with Variation Swatches for WooCommerce - Pro
* Fixed preselects for multilanguage sites
* Added search by the list of attributes for the text filter
* Minor issues fix

= 2.5.0 =
* Fixed count products recalc for list filters
* Added compatibility with Phone Orders for WooCommerce Plugin
* Fixed Not In logic for attributes
* Added compatibility with Divi Archive Loop
* Added hierarchical options for attributes filter
* Minor issues fix

= 2.4.9 =
* Added fix for the ability to filter WBW-tables
* Added formatting for Date Picker type ACF-fields
* Added compatibility with Product Grid by Woo Essential plugin
* Fixed option Show search for attributes
* Fixed attributes labels

= 2.4.8 =
* Added translation for Show More/Show Fewer
* Fixed defaults and preselects
* Added compatibility with YayCurrency Plugin
* Fixed FontAwesome for group colors option
* Minor issues fix

= 2.4.7 =
* Updated custom order for attributes
* Added filter Search by Number
* Fixed Menu mode
* Added decimal step for Price filter
* Added compatibility with theme Total for option Display variation
* Minor issues fix

= 2.4.6 =
* Added updating attribute slider by selected filters
* Minor issues fix

= 2.4.5 =
* Fixed CSV Export Problem
* Fixed Divi load more

= 2.4.4 =
* Fixed bulk activate by TGM Plugin Activation
* Added compatibility with Avada Builder Woo Product Grid
* Fixed Floating filter button
* Fixed default sorting
* Fixed Reset button & default StockStatus option

= 2.4.3 =
* Fixed compatibility with Elementor widget Posts
* Fixed rtl-styles
* Fixed compatibility with Essential Addons Elementor
* Minor issues fix

= 2.4.2 =
* Fixed default filters by not empty url parameters
* Fixed compatibility with plugin CoDesigner
* Fixed count products for Always Filtering By All Products
* Fixed char + in uri with search filter
* Fixed Crear button by redirect
* Added option By default сreate filters for all products
* Fixed pagination for Elementor widget woocommerce-products
* Fixed custom order for attributes
* Fixed Force Theme templates for grid/list display mode
* Fixed bulk plugins activate
* Fixed option Form attribute filters by variations
* Minor issues fix

= 2.4.1 =
* Increased range for Price Slider
* Fixed products count for compatibility with Essential Addons Elementor
* Added selection of filter blocks by creating a new product filter
* Fixed Clear All button
* Minor issues fix

= 2.4.0 =
* Fixed loader style
* Fixed count products for Always Filtering By All Products
* Added compatibility with plugin CoDesigner (Formerly Woolementor)
* Minor issues fix

= 2.3.9 =
* Fixed processing many parallel ajax-requests
* Fixed order by price
* Fixed option Display Variations Instead Of Variable Product for shortcodes
* Added compatibility for Divi Plus pagination
* Added hook for default settings
* Fix for multisite

= 2.3.8 =
* Fixed autocomplete for several TextSearch fields on page
* Added compatibility with widget Premium Woo Products from Premium Addons for Elementor
* Fixed compatibility with Advanced Woo Search
* Added hook for Dokan
* Fixed default params for Visual Builders products block
* Added the ability to select child attributes in the list of displayed
* Minor issues fix

= 2.3.7 =
* Fixed admin area for iphone
* Fixed checkboxes in Firefox
* Fixed filtration for search page
* Added option Hide filter with single item
* Fixed option Close popup after action

= 2.3.6 =
* Fixed deprecated functions

= 2.3.5 =
* Delete PhpMailer
* Added Perfect brands to autocomplete for Search Filter
* Fixed decimals for Numeric Attributes Slider
* Added translatable strings
* Fix for Elementor
* Added option to prevent redirect when product is missing
* Minor issues fix

= 2.3.4 =
* Added compatibility with Royal Addons widget Woo Grid
* Added compatibility for widget Advance Products by Phlox Shop plugin
* Fixed option Don't Use Shortcode Settings
* Fixed products widget from UX Builder by Flatsome Theme
* Fixed attributes filter for variations
* Added compatibility for Besa Theme
* Minor issues fix

= 2.3.3 =
* Added a link to start indexing
* Fixed option Move sidebar to top for mobile for Allston theme
* Fixed Autocomplete search filter
* Added compatibility with Divi Plus
* Added option for disabled reindexing by product stock changes
* Fixed page reseting by filtering
* Fixed styles loading
* Added compatibility with plugin Woocommerce Products Per Page and added option Display on Perfect Brands Page
* Minor issues fix

= 2.3.2 =
* Fixed call button in floating mode
* Added compatibility with Qi Addons For Elementor
* Added option for disable loading Fontawesome library
* Fixed bug when temporary tables not allowed in DB
* Hid last license error
* Rebranding

= 2.3.1 =
* Small code fix for Safari
* Fixed compatibility with EA Elementor Product Gallery
* Added option for Hide price slider if there are no products with price
* Fixed compatibility with Elementor
* Added compatibility with Flatsome UXBuilder
* Added compatibility with Relevanssi Plugin
* Added compatibility with Perfect Brands in the Search Text Filter
* Declaring compatibility with HPOS
* Minor issues fix

= 2.3.0 =
* Minor issues fix

= 2.2.9 =
* Fixed Hide Filter Button on mobile
* Added option for form filter attribute blocks by variations
* Fixed filtering on search page

= 2.2.8 =
* Added for Hide Filters Button option Show as open if filtered
* Added custom order for ACF-attributes
* Fix for Safari scrollbars
* Minor issues fix

= 2.2.7 =
* Fixed option Recount Products By Selected Filter by page reload
* Minor issues fix

= 2.2.6 =
* Added compatibility with CURCY plugin
* Minor issues fix

= 2.2.5 =
* Added the filtering variations by stock status
* Minor issues fix

= 2.2.4 =
* Fix for Woocommerce Loockup table regeneration
* Checking the existence of an ACF-attribute value
* Minor issues fix

= 2.2.3 =
* Added Select All for muiliselect in adminarea
* Fixed ACF attributtes
* Fixed brands filter
* Fixed Fusion builder post query
* Fixed expired license msg
* Added Ajax hooks for open/close filter popup

= 2.2.2 =
* Fixed categories hierarchy
* FR lang update
* Fixed ACF attributes indexing
* Added optimization for db with many attribute values
* Added all values for ACF-attrites with choices
* Fixed move sidebar to top for mobile
* Added compatibility with Advanced Woo Search
* Replace banner for Reward Points Plugin
* Added sorting by price for WooCommerce Price Based on Country Plugin
* Fixed counters by Display variations
* Fixed order by for page>1
* Added option Always Filtering By All Products for shortcodes
* Minor issues fix

= 2.2.1 =
* Fixed color group
* Added option for disable clearing cache
* Fixed floating mode
* Fixed display variations
* Added fusion-builder Woo Products Grid support
* Added compatibility with FiboSearch
* Added Index tables optimization
* Fix for MySQL variable sql_require_primary_key
* Fixed sorting for product shortcode
* Fixed scroll for Floating mode
* Minor issues fix

= 2.2.0 =
* Added Overview
* Added Single select for Colors
* Fixed hide empty block
* Minor issues fix

= 2.1.9 =
* Added compatibility with WooCommerce Price Based on Country Plugin
* Added dynamic loading of color groups
* Fix color group && encode get meta value
* Minor issues fix

= 2.1.8 =
* Added hook usage for "woodmart" theme
* Added clear & reset onebyone
* Added key 'type' in args
* Added Floating mode customization
* Fixed custom css loading && 'change' event initialization
* Fixed get meta value
* Plugin 'woolementor' integration added
* Fixed elementor widget
* Added scroll top for option 'Checked Items To The Top'
* Added alternative update server
* Minor issues fix

= 2.1.7 =
* Fixed indexing and displaying 0 value
* Fixed indexing acf fields
* Fixed buttons filter && autoscroll
* Fixed OR logic
* Added Statistics
* Added loader icon on filter during automatic filter update
* Fixed register elementor widget && init session
* Removed deprecated jquery functions
* Added check isset data for sortby filter
* Minor issues fix

= 2.1.6 =
* Fixed get post per page
* Fixed init session && escape name table
* Added session_write_close for ajax request
* Fixed color group
* Fixed hiding loader until filter is fully loaded
* Fixed filtration for Post Archive widget
* Fixed Sorting Oldest first
* Added check for non-empty clauses
* Minor issues fix

= 2.1.5 =
* Fixed ion range slider cannot display value greater than 2000000
* Fixed taxonomy detection
* Added option 'not display the result type'
* Added option 'hide parents of all levels'
* Added correct counting of attributes with OR logic
* Added option 'Disable Instead Of Hiding Following'
* Fixed return of category id during ajax request
* Fixed add custom tax query
* Fixed option 'Don't Use Shortcode Settings'
* Fixed error when creating a new filter
* Fixed display widget
* Added synchronization of multiple filters
* Added OR logic when calculating counters
* Fixed phpcs requirements
* Fixed custom attributes sql
* Floating filter mode added
* Fixed display of hierarchy icons
* Fixed added OR logic when calculating counters
* Fixed slider output with OR logic
* Added sorting by SKU
* Added option "Display Only Children Of Current Category"
* German Show more title fix
* Added Order Oldest first
* Fixed multi logic
* Added reset counters
* Minor issues fix

= 2.1.4 =
* Fixed making changes to the request plugin "YITH WooCommerce Ajax Product Filter Premium"
* Added option Sort In stock first
* Fixed activation license using the second site
* Fixed bug in sql query
* Added option Exclude variations on backorder
* Added property 'acf_prefix' existence check

= 2.1.3 =
* Fixed forceProductFilter
* Fixed detection if filter is selected
* Added option "Hide current page category"
* Fixed price order for compatibility with Discount Rules and Dynamic Pricing plugin
* Set enabled by default for Filtering By Variations Attributes for new installs
* Fixed forced query for elementor

= 2.1.2 =
* Added support for product_id when defining photo for displaying variation
* Fixed filter change event handler
* Added check woocommerce option "woocommerce_hide_out_of_stock_items"
* Fixed work group color

= 2.1.1 =
* Fixed WCAG + text filter type
* Added hide expired license notification
* Fixed undefined variable: metaKeyId
* Fixed css & notice
* Added integration with "divi cart pro" theme
* Added remove woocommerce default hooks
* Fixed forceProductFilter
* Added option "display variation image"
* Fixed SearchText Filter
* Added compatibility with DynamicPostsBase
* Fixed reload
* Fixed filtering before button click
* Changed prefix from filter_ to wpf_filter
* Added wpf_ prefix for max_price and min_price
* Fixed scrolling on page load
* Added forced query replacement if elementor-pro plugin is active
* Minor issues fix

= 2.1.0 =
* Fixed preselects
* Fixed attributes slider
* Add class `needsclick` to multiselect
* Fixed get count terms && resolve acf label
* Fixed filtering when using 'Dynamic.ooo - Dynamic Content for Elementor' plugin
* Minor issues fix

= 2.0.9 =
* Fixed Elementor styles
* Added option 'show all slider attributes'
* Added optiona to show widget on all site pages
* Fixed adding js variable
* Fixed meta attributes slider after Clear
* Added option "Do not remove products on loading"
* Minor issues fix

= 2.0.8 =
* Fixed default Price filter for rtl
* Added variation links and fixed variation image
* Minor issues fix

= 2.0.7 =
* Added use shortcode attributes Divi theme
* Added settings to attribute color
* Fixed event search filter
* Add thousend separator to price not-default slider
* Added filter import/export
* Fixed post_status when requesting via ajax
* Add support plugin WooCommerce Products Per Page
* Fixed posts_per_page value when using shortcodes
* Optimized JS and CSS loading
* Moved "wcag" option to the free version
* Added compatibility with UAEL Woo–Products widget and EAEL Groduct grid widget
* Added compatibility with Elementor Pack Pro WC Products widget
* Add option "open filters one by one" for step by step filer
* Fixed default sorting date
* Fixed Show more with Checked to the top
* Add option "display products with the status private"
* Fixed variations instead of parent
* Added "Menu mode" for category filter
* Improved WPML compatibility
* Minor issues fix

= 2.0.6 =
* Fixed option Unfolding children
* Added style options for the selected item
* Fixed bug when using "apply parameters from the address bar" option
* Added "default id" options for views mul_dropdown, buttons, text
* Fixed price maxvalue && restore query
* Fixed selection filter parameters
* Added bold for selected items
* Added custom line-height style for blocks
* Added custom styling for Hide Button
* Added tooltip to "Floating button on mobile" checkbox
* Minor code fixes

= 2.0.5 =
* Fixed search in multy-dropdowm
* Optimized option Include children for category
* Fixed option "apply parameters from the address bar ..."
* Minor code fixes

= 2.0.4 =
* Fixed table optimization after dropping indexes
* Fixed two category filters on one page
* Added integration infinite_scroll with `flatsome` theme
* Fixed search filter
* Added option Run in background for recalc indexing
* Fixed tax for Price filter
* Fixed vertical columns
* Added option 'unfolding all nesting levels' && collapse other radioboxes
* Fixed group colors for variations
* Removed post_status on ajax request
* Fixed replacement of filter parameters with "elementor pro" plugin
* Minor code fixes

= 2.0.3 =
* Meta-indexing optimization for DB with many variable products and many attributes
* Added advertising of the pro version to the free version
* Fixed adding an event handler to the filter button
* Fixed bug with multiple blocks in force template
* Fixed query if active plugins essential-addons-for-elementor-lite

= 2.0.2 =
* Fixed brand select
* Fixed db update
* Add show currency in slider
* Added option 'display only selected filter items'
* Fixed rounding after currency conversion
* Replaced themify builder action
* Added support for woocommerce block 'products by category'
* Added option in search filter 'disable auto filtering when focus out'
* Added option 'start indexing on a schedule'
* Fixed selection default value in the stock filter
* Added internal FontAwesome
* Plugin rename
* Minor code fixes

= 2.0.1 =
* Added fusion-builder plugin support
* Fixed display of child filter items
* Fixed checked items of attribute filter not in latin
* Added new display mode "Brand Page"
* Fixed recalc meta tables after import and added option for disable auto recalculation
* Fixed ajax pagination
* Added ignoring of anchors in the link
* Fixed update after deactivation
* Added hook handling 'woocommerce_product_get_image'
* Fixed return meta_query
* Added Default for Sort Filter
* Fixed color group
* Added last check license errors
* Fixed output with empty parent categories
* Fixed installer
* Added fix for plugin: WooCommerce Load More Products
* Fixed load product grid
* Fixed Acf-select (single)
* Fixed condition for adding clausses
* Added sorting after filter cleaning
* Fixed indents controller.php
* Minor code fixes

= 2.0.0 =
* Performance optimizations
* Added index products button in plugin settings
* Fixed use of "hide_without_price" option
* Fixed vendor detection
* Added option "Checkbox list (multiple select)" and "Layout" in Product Brands
* Fixed meta data filter
* Optimized DB speed
* Fixed output of 1 product in force_theme_templates mode
* Fixed filtering by variations
* Fixed admin message
* Fixed acf attributes
* Fixed if multidimensional array in address bar
* Fixed slug cleaning
* Added for search by variation option Not IN
* Fixed url formation when using acf
* Fixed color group with variations, etc
* Added option to recalculate filters when force theme template is enabled
* Fixed meta sliders
* Fixed loop when using search filter
* Fixed plugin list notification
* Added option "Generate HTML based on WCAG standards"
* Fixed untranslatable links "Show more" and "Show fewer" for German language
* Fixed use filter when "divi-bodyshop-woocommerce" plugin is enabled
* Added multiselect brand selection

= 1.5.8 =
* Fixed local attribute
* Fixed search by SKU in admin panel
* Fix for "search everything" plugin error
* Fixed checking shortcode class
* Added additional processing shortcodes if using the Divi theme
* Fixed behavior when the "auto_update_filter" option is selected & assigning post_per_page
* Added "Use custom tags" option in Product Brands

= 1.5.7 =
* Add clean cache wp-rocket on save filter
* Fixed elementor widget
* Fixed wpfslug
* Added border color for checked checkbox
* Added support plugin dokan vendors
* Fixed Check page category
* Fixed price slider with multiple currencies
* Fixed behavior of redirect_only_click and auto_update_filter options
* Fixed price range with multiple currencies
* Fixed price and tax with multiple currencies
* Fixed select local attribute sql

= 1.5.6 =
* Added support for the "sale_products" shortcode and the "on_sale" attribute
* Fix attributes filtering by variations
* Fixed action when changing filter for redirect
* Added trimming of the last # sign in the address bar for popups
* Fixed view dropdown
* Added a redirect condition to the browser history was not written
* Minor code fixes

= 1.5.5 =
* CSS Fix for Categories and Brand filters

= 1.5.4 =
* Added stylized dropdown in pro
* Added option "Display on pages apply for shortcode"
* Fixed js error for wpf-products shortcode when there is no filter on the page

= 1.5.3 =
* Add automatically collapses the parent if all child categories collapse
* Added custom css loading condition
* Added do_not_use_shortcode option
* French lang update
* Added option not_found_products_message
* Fixed filter attributes
* Added search for the number of found products outside the selected block
* Added option auto_update_filter
* Added "show more" for color mode for attributes
* Fixed display shortcode filter
* Fixed clear button on top
* Find the filter shortcode in the text widget
* Fixed display of the widget in blocks
* Added litespeed cache is clear on filter save
* Add localization js
* Minor code fixes

= 1.5.2 =
* Added filter sync with product shortcode
* Fix search
* Fixed Back button
* Fix stock_status
* Add hook isFiltered
* Fixed priceTax
* Added check for class in shortcode
* Fixed sql 5.7

= 1.5.1 =
* Fixed Clear block
* Fixed search results by variations of a product
* Fixed external pagination if enabled "Force theme templates"
* Add group color attribute
* Fixed search sku
* Fixed added indexes to attributes
* Fixed behavior defaults when sorting WooCommerce
* Fixed display subcategories
* Fixed view of titles for different devices
* Fixed display filter on search page
* Display Author name by Username (store name)
* Added setting hide_without_price
* Moved the option Filter by variations to the free version
* Added compatibility of product shortcode and filter shortcode
* Added check for product type
* Minor code fixes

= 1.5.0 =
* Fixed ajax
* Minor code fixes

= 1.4.9 =
* Fix selection of variations after ajax filtering
* Switcher + Filter integration fix
* Fix product variation filter attributes
* Check enable mbstring
* Fix filter attributes & custom meta field
* Fix search by text
* Fix title block
* Fix format code
* Added indexes to attributes
* Fixed images not loading after filter action
* Added specific pagination formation for theme Themify Ultra
* Fix search
* Fixed condition for adding post_type
* Fixed filter selection by default together with WooCommerce sorting
* Minor code fixes

= 1.4.8 =
* Fix reload the page on click back button of the browser
* Added Collapse children on parent deselect in category filter
* Added hook addFilterExistsItemsArgs and params for js-hook wpfAjaxStart
* Fix slider price issue
* Fix checkbox color
* Fix error WP_Scripts::localize
* Fix dropdown display
* Fix force numeric values bug
* Fix for php 8
* Keep open checked filters
* Add slider disable number formatting
* Minor code fixes

= 1.4.7 =
* Fixed defaults for Stock Status Filter
* SQL optimization for large databases
* Fix for Elementor tabs

= 1.4.6 =
* Reload the page on click back button of the browser fix
* SQL optimization for large databases
* Added the ability to replace category ids with slugs in the Url
* Calculate with the price with tax
* Fix slider attributes
* Remove notice undefined property
* Fixed pagination
* Fix prixe range
* Minor code fixes

= 1.4.5 =
* Add Search for variable products by meta fields
* Add frontend type slider
* Fixed Show more
* Add check get parameter for filter items
* Fix for hidden product blocks
* Fix compatibility with Divi theme
* Fix filters creating empty space in widget area
* Fix rating and product variation accounting in address bar parameters
* Fix meta fields
* Ajax fields loading + search button
* Fix tooltip for option 'Move Sidebar To Top For Mobile'
* Added search shortcode inside the container
* Add use meta-fields search by text
* Fixed Attributes Color Filter
* Fixed preselects
* Fixed autocomplete for search field
* Fixed slider styles
* Fixed dropdown filters for Safari
* Added label Clear All for selected parameters
* Add Connection between WooFilter and a brands page
* Add option single select for multiselect dropdown
* Added Integration with AJAX Search for WooCommerce
* Category filter that the children will be less distant from the parent
* Added finding the closest value in the slider

= 1.4.4 =
* Fix for 833 line notice
* Minor code fixes

= 1.4.3 =
* Added an option to use the selected filter value for other filters
* Old Pro error fix
* Minor code fixes

= 1.4.2 =
* Fix shortcode overlapping arguments filters orderby
* Added compatibility with Currency Switcher for WooCommerce
* Fix price range does not take selected product category
* Fixed Attribute slider
* Fix for filtering by variations
* Add sort options 'title A to Z' and 'title Z to A'
* Fix new type filter custom meta field
* Added option Check page category
* Fix for theme ajax-loading
* If the oxygen plugin is activated then check if the javascript is already registered
* Fixed counter for custom taxonomy and custom meta
* Autoclosing on mobile fix
* Replaced .size () with .length
* Fixed count calculation for custom/meta attributes and categories without children
* Fixed orderby for shortcodes and Force theme templates
* Fix dosenot conculed children categories
* Add custom title for selected, featured
* Added compatibility with Infinite scroll
* Added DE translation

= 1.4.1 =
* Fixed SortBy Filter
* Fix for OceanWP theme
* Fix mobile move sidebar for Jevelin Theme
* Fix for filtering and display variations
* Added compatible with Qty Increment Buttons for WooCommerce
* Fix for FontAwesome5 SVG
* Fixed ajax filtering for search page
* Fixed Elementor Widget Assets Loading
* Fix Mobile Move to top for Betheme
* Add new type filter custom meta field
* Fix Mobile Move to top for Rife
* Add change Color of the selected filter item
* Added option Force Theme templates
* Font Awesome SVG API
* Added auto Unfolding children
* Added hide empty terms for active filters
* Fixed Table List

= 1.4.0 =
* Added custom icon categories
* Fix range price truncate text issue
* Added sort as numbers
* Added space after the product category before count
* Added select default id for dropdown
* Fix ajax filtering issue with dynamically changeable classes in product loop wrapper
* Fixed Firefox bug
* Fix attribute slider type filter encoding issue and filter items order issue
* Added homepage / product pages redirect
* Added product block class selector
* Added Collapse level chooser
* Clone fix
* Fixed ajax sorting
* Fixed WCFM conflict
* Fix for on page resize filter adaptation
* Fixed autoscroll to products
* Sort by radio buttons mode added
* Fix compatible with Theme Astra

= 1.3.9 =
* Add input fields to attribute slider
* Fix slider filter attribute type issue with multiple slides
* Fix attribute filter logic issue
* Added option Filtering of categories list
* Fixes for admin view
* Fix filter attribute slider type number of filtering options issue
* Added option Force show only current filter on page
* Fixes for price filter with outofstock WooCommerce option
* Fixes for two products block in elementor
* Fixes for Text max_height
* Add autocomplete for Searching by Text filter to category, tags and attribute options
* Fixes for filter by variations option
* Added Reset all filters option
* Small fixes for ajax filtration
* Fixes for filters by attributes
* Fixed the text of tooltips
* Moved links in tooltips outside of translatable strings
* Fix fatal error with php SimpleXML extension disabled
* Fix show/hide individual filter items issue with user filter type
* Add multi dropdown type optionality to auto filter
* Fix pagination issue with "Search by Text" filter type

= 1.3.8 =
* Minor code fixes
* Fix for star rating

= 1.3.7 =
* Fixes for custom taxonomies filter
* Fix shortcode filtering with attribute results issue
* Fix white-space FHD screen price slider issue
* Add icon position optionality for a filters title
* Fixes for admin view
* Add increase clickable area optionality for a filter title
* Fixes for undefined const in pro
* Fixes for const
* Fixes for elementor filters view
* Small fixes for price inputs
* Fixes for divi shop module
* Added Display on Specific category option value
* Small changes for license activation
* Minor code fixes

= 1.3.6 =
* Fix default attribute slider hidden inputs
* Fixes for storefront zoom
* Fixes for colors filter
* Fixes for filter search with Divi shortcode in pro
* Add bicolor optionality to attribute color filter type
* Fix settings saving checkbox type
* Fixes for ie11
* Small fixes for the pro updater
* Code formatting fixes
* Code fixes for filtering exists terms
* Fix pagination issue with query-based permalink type
* Fix wordpress.com base site console errors
* Minor code fixes

= 1.3.5 =
* Fixes for WC vendors page filtering
* Added search for multiple dropdown type
* Fix filter display issue on an attribute and custom taxonomies WooCommerce pages
* Fixes for attr slider
* Added price min/max options in PRO
* Added floating btn options
* Add radio button filter type to attribute filter
* Add search by product SKU filter functionality
* Fixes for category ajax filtering
* Fixes for Mozilla price inputs
* Fixes js notice for WP 5.5
* Fix zero price filtering issue with 'Sort By' filter
* Fixed price decimal points
* Added animation for custom loading icons
* Added close/open icon selection option
* Add filter only child/parent functionality for a hierarchical filter types
* Fix tooltip error
* Added hook for Hiding filters button
* Fixes for Elementor
* Fixes for attr product count
* Added external selected parameters shortcode
* Added options filter by variation attributes
* Added display variation instead of product
* Assets - add gif deleted scro1l
* Added multi dropdown view for category filter in pro
* Fix numeric slider attribute reset to 1 collision issue
* Fixes for autocompleting search
* Fixes for wpf_order
* Add radio button behavior to button type filter optionality
* Added use exact values option for rating
* Add clear and float style CSS optionality to filter buttons
* Added exact option for a star rating
* Fixes for categories multi dropdown
* Fixes for Elementor widget Product Grid
* Added include children option
* Added Autoscroll to products after filtering option in pro
* Fixes for auto-scroll and woo shortcode pre query
* Fix translation in the multi-select dropdown filter type
* Add a filter with child functionality for a radio and dropdown filter category type
* Fixes for filtering by variation and display variation instead of the main product
* Fixes notices in Elementor pages
* Fixes for attribute filters
* Add flatsome theme fix for an infinite scroll filtering issue
* Fix attribute filter encoding issue
* Fixes for filters visibility on Divi shortcode
* Small fixes for Elementor product grid widget
* Minor code fixes

= 1.3.4 =
* Fix remove filter issue in the admin area
* Elementor widget integration
* Fix bulk plugin activate issue
* Rename product name and socials links to the plugin
* Fixes for taxonomy slider
* Fixes for attribute slider
* Added slider by non-numeric values
* Add break-point feature to desktop/mobile show title label option
* Added option f_show_count_parent_with_children
* Added multi-category logic option
* Added action for front-end filtering
* Added the French language
* Fix activate custom price issue with empty values
* Fix with multi-category filter nesting with multi shortcodes
* Fixes for a multi-site license
* Added Remove actions before ajax filtering option
* Fixes for brand filtering
* Fixes for move sidebar to top option
* Add compatibility with 'WooCommerce Show Single Variations' plugin
* Added support for load more button by WooCommerce Load More Products
* Fixes for pagination with two+ filters on the page
* Added stock default option
* Fixes for the pro updater
* Added support for YITH Quick View plugin
* Support for Cute Boutique theme
* Fix category filter button type filtering issue
* Edit filter tag tooltip
* Price filter admin interface improvements
* Added WC Vendors support added

= 1.3.3 =
* Fix for old Pro

= 1.3.2 =
* Minor issues fix

= 1.3.1 =
* Added Filter Buttons Order option
* Added custom filter header and title HTML tag option
* Extend collapsible option to radio button list type of taxonomy filter
* Add additional expand to child element functionality for a selected multi-filter category parent
* Add remove child select optionality while parent category filter unchecked
* Added attribute slider feature and some code fixes
* Change color delete button in the admin area
* Fixes for attribute tooltip
* Fixes for product tag page
* Fix long name in filter collision

= 1.3.0 =
* Added widget filter on attribute pages
* Change "Show Filtering Button" option on more clear dropdown optionality
* Fixed option Move to top for mobile
* Add additional exclude functionality to attribute filter logic options
* Fixed loading filter with shortcode [products]
* Added option Count products per row
* Fixed pagination for shortcode [products]
* Change CDN URL
* Add the custom number of decimals optionality for a price range filter
* Remove for-all-admin style
* Fixes for color tooltips
* Change updater link

= 1.2.9 =
* Added Display on specific pages
* Added compatibility with Perfect WooCommerce Brands
* Fix Woocommerce brands
* Added Show more
* Added Under/Over labels and custom input fields for Range Price filter
* Added position and button for the search field
* Fixed for WPbakery page builder
* Fixes for price filter on the product category page
* Recount min/max price after filtering
* Fixes for price recount
* Fixes for recount min/max price
* Fixes for multiple filters
* Add woocommerce_shortcode_products_query hook

= 1.2.8 =
* Adapting the plugin code to comply with Envato and WooCommerce sniffs rules
* Added cat_id attribute support
* Added custom colors and text labels per term for Buttons and Colors Types Filters
* Fixed styles for Arabic languages
* Minor issues fix

= 1.2.7 =
* Added support for free YITH WooCommerce Request a Quote
* Fixed price filter width with fixed block height
* Hide license tab on multisite
* Fixes duplicate button
* Added fixed button size for Button Type Filters
* Added current category id to filter exists terms
* Added option Use title as placeholder fro search filter
* Fixes for bu width/height
* Added custom attributes from Custom Post Type UI ACF
* New Admin pages Design
* Replace chevrons with plus/minus icons
* Fixed Hierarchical mode for manual category list
* Added PriceRange preselected values and fixed reload for all preselected parameters
* Added option User title as slug
* Added Polish language files
* Added design for checkboxes
* Fixes for IRS rtl style

= 1.2.6 =
* Added Buttons and Text filter types
* Added Toggle Switch Type for Featured, On Sale, Stock status filters, and Hide Filters button for mobile devices
* Added Alphabetical index for list filters
* Added option Show parameters without products as disabled
* Added YITH WooCommerce Compare compatibility
* Added new price slider skins and Step, Show labels options
* Fixed default WooCommerce ordering
* Added option Use theme styles
* Fixed several filters on the page
* Added Placeholder for Multiple Dropdown
* Hide filter on pages without products
* Added Hide Filters button custom text
* Change Enable Ajax option
* Added custom styles for blocks, titles, and buttons
* Minor issues fix

= 1.2.5 =
* Fix for IE 11
* Fixed recalc counts of terms
* Added option Display View more
* Added selected parameters
* Added Hide Filters button
* Added Category Images size
* Added Filter width and Block width for mobile
* Optimize saving
* Minor issues fix

= 1.2.4 =
* Updates for WooCommerce 3.9.0

= 1.2.3 =
* Fixed Ajax, recalculation count of products, load preview
* Minor issues fix

= 1.2.2 =
* Added Search by Attributes and logic option
* Added Logic or/and to Tags Filter

= 1.2.1 =
* Fix search css
* Added transition for filter's content
* Added option Filter Block Height
* Minor issues fix

= 1.2.0 =
* Fix for sidebar widgets for some custom WP themes
* Fix for Arabic languages
* Minor issues fix

= 1.1.9 =
* Fixed date sorting and styles
* Added global settings for Filter Loader
* Added button Apply loader settings to all filters
* Fixed AJAX filter for big database
* Minor issues fix

= 1.1.8 =
* Fixed pagination for noWoo pages
* Fixed onSale filter for variation products
* Minor issues fix

= 1.1.7 =
* Fix for Elementor
* Fix ion-slider
* Add control WooCommerce option Hide out of stock items
* Fix price filter by URL reload
* Fixes for pagination and filter tag
* Fixed autorun by page load
* Minor issues fix

= 1.1.6 =
* Added Always display all categories
* Fixed non-ajax attributes visibility
* Minor issues fix

= 1.1.5 =
* Fix pagination
* Fix stock status filter
* Add translate fields for filters labels
* Fix Category filter with the setlist of categories
* Add Sort by Default for Category Filter
* Add Custom Loader
* Minor issues fix

= 1.1.4 =
* Fix price filter
* Attributes filter fix
* Fix categories menus bug

= 1.1.3 =
* Added compatibility WooCommerce Product Image Flipper
* Fixed filter count_product_shop option
* Added ability to modify clear buttons
* Added filter category image
* Fixed hide parent and hierarchical options
* Fixed showed cats, tags, atts filters on the category page
* Added columns in row option
* Fixed hide category parent view
* Fixed filter column view
* Fixed price range columns view
* Added display on tag option
* Fixed colors bugs
* Remove admin attr notice

= 1.1.2 =
* Fixed tax query filter logic
* Fixed filtering with two cats|tags-filters
* Add ability to change the name of the filter button
* Added ability to change the sort by option labels and hide parent category in the hierarchy
* Add preview change after a click on filters tab in admin
* Added Always display all attributes option
* Added Exclude from search results option
* Added option f_filtered_by_selected, fixed filtration with two or more cats
* Fixed filters recount
* Fixed filtering pagination
* Small fixes for price filter on the front
* Fixed admin color picker and added loader for filters
* Fixed URL decode after filtration
* Fixed filtering with two filters on the page
* Added hide/show tags by filtered cats option
* Fixed supplied for foreach
* Minor issues fix

= 1.1.1 =
* Check filtering issue
* Filter name, button loader, time for the title
* Add function second sort by title
* Fix for Ajax Preview
* Add support for product tag page
* Check if filter show on post|page with a woo shortcode. Add attribute term selection issue
* Add hidden tags option issue
* Check product list problem issue
* Check tag page filtering issue
* Alexander Chernyak's avatar
* Jet pack fix and pagination
* Fix styles and the first product in products list for template ocean
* Fix category and subcategory display with current settings for every page
* Fix for the search field
* Add selected cats and atts as default issue
* Add sorting by default selected terms issue
* Hide selected cats|tags|atts as default issue
* Check selected atts after create new atts filter issue
* Check Display items in a row issue
* Check slider fractal problem issue
* Set cat children selectable issue
* Fixed clear btn with default cats issue
* Add Order by the custom option to Attributes issue
* Fixed problem with spinner styles issue
* Fixed featured plugins error issue
* fixes for wp translations
* Change rate link issue
* Fixed problem with filtering by price issue
* Fixed clear filtering when selected some categories issue
* Fixed reset multiple select issues
* Replace product_brands
* Add stock status names issue

= 1.1.0 =
* Add no products text
* Add WooCommerce template category, shop fix
* Fix CSS for Checkbox
* Add child category filter fix
* Fix for languages
* Added Multiselect category filter
* Display items in a row. Also .gitignore added
* Small fix for the switch on PHP 7.3
* Fix deactivation dialog
* Moved clone filter option from pro to free version issue
* Add category and tag filter duplicates issue
* Show counts issue fix
* Fix issue with products attribute filter display
* Fix for tooltips
* Fix widget save for customize.php
* Minor issues fix

= 1.0.9 =
* Add feature duplicate filter
* Colors preview fix
* Minor issues fix

= 1.0.8 =
* Added ajax preview
* Added hide empty cat, attributes, tags
* Move some Options to Design
* Fix hide attributes color without products
* Added Alpha channel(RGBA) to color pickers
* Added jquery multi-select
* Do not show filter option if empty
* Add feature drag n drop custom sort for tags, categories
* Add auto recount for the product with filters
* Fix CSS selector
* Fix colors for filter recount
* Add loosen the line
* Fix isset bug
* Fix notice - add isset check for vars
* Minor issues fix

= 1.0.7 =
* Fix for slider update
* Added Pro-advertising
* Add select list for stock status
* Screenshots update
* Minor issues fix

= 1.0.6 =
* Add fix for crypto currency and slider
* Added Show Count for Dropdown-lists
* Screenshots update
* Add outofstock, onbackorder features
* Add custom loader WBW logo

= 1.0.5 =
* Add new types of price skins
* Add option for show price inputs
* Added compatibility with woo-currency
* Added settings for filter rating and fixed plugin work in IE
* Fixed step value for high prices
* Configured to work with hidden products

= 1.0.4 =
* Update wpf.php
* Update readme.txt
* Add Star Rating Filter
* Add Colors Filter
* Screenshots added
* Add PRO version and SearchText Filter
* Moved Rating Stars Filter to Pro and added List Star Rating
* Move Color Filter to PRO
* Minor issues fix

= 1.0.3 =
* little readme changes
* Added new filters
* Add new filters. Fixed bugs
* Fixed CSS
* Added possibility to display filter in product category pages
* Fixed pagination work
* Added improvements
* Fixed design
* Added filter tags functionality
* Added max height attr to filter blocks
* Add option show/hide title
* Added option for displayed dropdown label
* Add new options "count" to category, tags, attributes
* Fixed responsive mode for tablets
* Added possibility to display filter and products on the custom page
* Fixed notice
* Fixed price filters for no woo page
* Refactoring
* Fixed mistake. Added WordPress filter to display filter HTML

= 1.0.2 =
* Added video tutorial to readme
* Fixed conflict with data table create new table function.
* Fixed notice and change dropdown default name.
* Usability improvements

= 1.0.1 / 18.06.2018
* Submit plugin to WordPress.org
